Name:           ocaml-libvirt
Version:        0.6.1.5
Release:        1
Summary:        OCaml binding for libvirt
License:        LGPLv2+

URL:            http://libvirt.org/ocaml/
Source0:        http://libvirt.org/sources/ocaml/%{name}-%{version}.tar.gz

# Fixes build with OCaml >= 4.09.	
# Upstream commit 75b13978f85b32c7a121aa289d8ebf41ba14ee5a.	
Patch1:         0001-Make-const-the-return-value-of-caml_named_value.patch
	
# Fixes for OCaml 4.10, sent upstream 2020-01-19.	
Patch2:         0001-block_peek-memory_peek-Use-bytes-for-return-buffer.patch	
Patch3:         0002-String_val-returns-const-char-in-OCaml-4.10.patch	
Patch4:         0003-Don-t-try-to-memcpy-into-a-String_val.patch

BuildRequires:  ocaml >= 3.10.0 ocaml-ocamldoc ocaml-findlib-devel
BuildRequires:  libvirt-devel >= 0.2.1 perl-interpreter gawk  make

%description
OCaml bindings for libvirt, allowing you to write OCaml programs and scripts which control virtualisation features.

%package        devel
Summary:        Development files for ocaml-libvirt
Requires:       %{name} = %{version}-%{release}


%description    devel
OCaml bindings for libvirt, allowing you to write OCaml programs and scripts which control virtualisation features.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%configure
%make_build all doc
%make_build opt


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
install -d $RPM_BUILD_ROOT%{_bindir}
make install-opt


%files
%doc COPYING.LIB README ChangeLog
%{_libdir}/ocaml/libvirt
%exclude %{_libdir}/ocaml/libvirt/{*.a,*.cmxa,*.cmx,*.mli}
%{_libdir}/ocaml/stublibs/{*.so,*.so.owner}


%files devel
%doc COPYING.LIB README TODO.libvirt ChangeLog html/*
%{_libdir}/ocaml/libvirt/{*.a,*.cmxa,*.cmx,*.mli}


%changelog

* Thu Jan 20 2022 yangping <yangping69@huawei.com> - 0.6.1.5-1
- Update to 0.6.1.5

* Tue Feb 18 2020 chenli <chenli147@huawei.com> - 0.6.1.4-30
- Init Package.


